ConsoleMessageBroker (gCube Resource Management Portlet 6.7.0-SNAPSHOT API)
Date: 2019-01-10

org.gcube.portlets.admin.resourcemanagement.client.widgets.console

## Class ConsoleMessageBroker

- java.lang.Object
- - org.gcube.portlets.admin.resourcemanagement.client.widgets.console.ConsoleMessageBroker

-     public class ConsoleMessageBroker
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleMessageBroker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `debug(Class<?> caller, String message)`
    `static void` | `debug(Object caller, String message)`
    `static void` | `error(Class<?> caller, String message)`
    `static void` | `error(Object caller, String message)`
    `static void` | `info(Class<?> caller, String message)`
    `static void` | `info(Object caller, String message)`
    `static void` | `log(Class<?> caller, String message)`
    `static void` | `log(Object caller, String message)`
    `static void` | `trace(Class<?> caller, String message)`
    `static void` | `trace(Object caller, String message)`
    `static void` | `warning(Class<?> caller, String message)`
    `static void` | `warning(Object caller, String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsoleMessageBroker

          public ConsoleMessageBroker()

  - ### Method Detail

    - #### log

          public static void log(Object caller,
                 String message)

    - #### info

          public static void info(Object caller,
                  String message)

    - #### trace

          public static void trace(Object caller,
                   String message)

    - #### debug

          public static void debug(Object caller,
                   String message)

    - #### warning

          public static void warning(Object caller,
                     String message)

    - #### error

          public static void error(Object caller,
                   String message)

    - #### log

          public static void log(Class<?> caller,
                 String message)

    - #### info

          public static void info(Class<?> caller,
                  String message)

    - #### trace

          public static void trace(Class<?> caller,
                   String message)

    - #### debug

          public static void debug(Class<?> caller,
                   String message)

    - #### warning

          public static void warning(Class<?> caller,
                     String message)

    - #### error

          public static void error(Class<?> caller,
                   String message)

Copyright © 2019. All Rights Reserved.